GET /integrations

List connected integrations.

A read-only view, so an agent authoring another agent's config can learn which repositories, channels, teams, and organizations it may name before POST /agents/configs. Available to all credential types including sandbox tokens: the responses never include OAuth tokens or any other secret.

curl "https://api.ellipsis.dev/v1/integrations" \
  -H "Authorization: Bearer $ELLIPSIS_API_KEY"
{
  "github": {
    "account_login": "string",
    "account_type": "User",
    "repository_count": 0,
    "repository_selection": "all",
    "suspended": false
  },
  "jira": {
    "cloud_id": "string"
  },
  "linear": {
    "organization_id": "string",
    "teams": [
      {
        "id": "string",
        "is_enabled": false,
        "key": "string",
        "name": "string"
      }
    ]
  },
  "sentry": [],
  "slack": {
    "operations_channel_id": "string",
    "team_id": "string",
    "team_name": "string"
  }
}
No request body.
{
  "properties": {
    "github": {
      "anyOf": [
        {
          "properties": {
            "account_login": {
              "type": "string"
            },
            "account_type": {
              "enum": [
                "User",
                "Organization",
                "Bot",
                "Mannequin"
              ],
              "type": "string"
            },
            "repository_count": {
              "type": "integer"
            },
            "repository_selection": {
              "enum": [
                "all",
                "selected"
              ],
              "type": "string"
            },
            "suspended": {
              "type": "boolean"
            }
          },
          "required": [
            "account_login",
            "account_type",
            "repository_selection",
            "suspended",
            "repository_count"
          ],
          "type": "object"
        },
        {
          "type": "null"
        }
      ]
    },
    "jira": {
      "anyOf": [
        {
          "properties": {
            "cloud_id": {
              "type": "string"
            }
          },
          "required": [
            "cloud_id"
          ],
          "type": "object"
        },
        {
          "type": "null"
        }
      ]
    },
    "linear": {
      "anyOf": [
        {
          "properties": {
            "organization_id": {
              "type": "string"
            },
            "teams": {
              "items": {
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "is_enabled": {
                    "type": "boolean"
                  },
                  "key": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "name": {
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "name",
                  "is_enabled"
                ],
                "type": "object"
              },
              "type": "array"
            }
          },
          "required": [
            "organization_id",
            "teams"
          ],
          "type": "object"
        },
        {
          "type": "null"
        }
      ]
    },
    "sentry": {
      "default": [],
      "items": {
        "properties": {
          "integration_id": {
            "type": "string"
          },
          "organization_slug": {
            "type": "string"
          }
        },
        "required": [
          "integration_id",
          "organization_slug"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "slack": {
      "anyOf": [
        {
          "properties": {
            "operations_channel_id": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "team_id": {
              "type": "string"
            },
            "team_name": {
              "type": "string"
            }
          },
          "required": [
            "team_id",
            "team_name"
          ],
          "type": "object"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "type": "object"
}

Responses

On this page

No Headings
Schedule a demo